Get Case Details by ID
GET
/api/v1/customer-case-detailRetrieves detailed information about a case. Optionally includes attachments, calendar events, orders, case products, and active escalations.
cv-api-key
Production
https://api.care360-next.carevalidate.com/api/v1/customer-case-detailStaging
https://api-staging.care360-next.carevalidate.com/api/v1/customer-case-detailParameters
Headers
cv-api-keystringrequiredSecret API key for authentication
Query Parameters
caseIdstringoptionalThe ID of the case to retrieve.
emailstringoptionalThe email address of the case submitter.
phoneNumberstringoptionalThe phone number of the case submitter.
includeAttachmentsstringoptionalSet to "true" to include attachments in the response.
documentFormatstringoptionalFormat for attachments. Must be either "base64" or "url" if attachments.
Example:
base64Values:base64url
includeCalendarEventsstringoptionalSet to "true" to include related calendar events.
includeOrdersstringoptionalSet to "true" to include related orders.
includeCaseProductsstringoptionalSet to "true" to include related case products.
includeEscalationsstringoptionalSet to "true" to include active escalations for the case.
note
Either caseId or email is required. At least one must be provided.
Notes
- When
includeCaseProducts=true, each item incaseProductsmay include asubscriptionobject withintervalandintervalCount. When a case product has no subscription data,subscriptionmay be null or both fields may be null. Allowedintervalvalues:"day","week","month","year"(lowercase);intervalCountis a positive integer. - The
submitterobject is a "Detailed User" containing full profile information. - The
assignedBy,hrRep, etc., are "Basic User" objects containing onlyid,firstName, andlastName.assignedToadditionally includesemail. - The
attachmentsarray will contain eithercontent(base64) orurldepending on thedocumentFormatparameter. - The
attachmentsarray will contain eithercontent(base64) orurldepending on thedocumentFormatparameter. - When requesting attachments with
documentFormat=base64, the combined size of all attachments must not exceed 30MB. If the limit is exceeded the API will respond with status413and error codePAYLOAD_TOO_LARGE_ERROR. Please usedocumentFormat=urlfor large files. - The
commentsarray contains public comments;notescontains restricted/internal comments. - The
decisionsarray contains all decisions made for the case. - The
calendarEventsarray is included only ifincludeCalendarEvents=trueis set. - The
ordersarray is included only ifincludeOrders=trueis set. - The
escalationsarray is included only ifincludeEscalations=trueis set. It contains only escalations whereisCompleted=false. Escalationtypeis one of"support","clinical", or"external". itemsandshippingLogsare included when available.- Only the latest case product request is returned in
caseProductRequests. caseProduct.statususes theCaseProductRequestStatusenum. Allowed values:"OPEN","CLOSE".caseProductRequests.statususes theCaseProductRequestStatusenum. Allowed values:"PENDING","REFILL_PENDING","SUPERSEDED","APPROVED","REJECTED","NO_DECISION","ORDERED","SHIPPED","DELIVERED","RE_ORDERED".
Examples
- cURL
curl -X GET "<BASE_URL>/api/v1/customer-case-detail?caseId=123&includeAttachments=true&documentFormat=url" \
-H "cv-api-key: your-secret-key"
Responses
▶200SuccessReturns the full case detail object.
{
"status": 200,
"success": true,
"caseDetail": {
"id": "string (UUID)",
"type": "string",
"title": "string",
"status": "APPROVED",
"shortId": "string",
"createdAt": "string (ISO 8601)",
"updatedAt": "string (ISO 8601)",
"assignedAt": "string (ISO 8601)",
"inProgressAt": "string (ISO 8601)",
"closedAt": "string (ISO 8601)",
"isArchived": false,
"isEscalated": false,
"isImported": false,
"referralCode": null,
"closedBy": "string (UserId)",
"inProgressBy": "string (UserId)",
"archiveReason": null,
"archiveNote": null,
"productBundleId": "string (UUID)",
"productBundle": {
"id": "string (UUID)",
"name": "string"
},
"assignedTo": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string",
"email": "string"
},
"hrRep": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
},
"assignedBy": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
},
"assignees": [
{
"assignee": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
}
}
],
"submitter": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string",
"email": "string",
"dob": "string or null",
"gender": "string or null",
"phoneNumber": "string or null",
"address": "string",
"address2": "string or null",
"city": "string",
"state": "string",
"postalCode": "string"
},
"activity": [
{
"id": "string (UUID)",
"type": "CREATE_CASE",
"isPHI": false,
"isRestricted": false,
"timestamp": "string (ISO 8601)",
"valueBefore": null,
"valueAfter": null
}
],
"decisions": [
{
"id": "string (UUID)",
"isApproved": true,
"isNoDecision": false,
"startDate": "string (ISO Date)",
"endDate": "string (ISO Date)",
"decisionText": "string",
"category": null,
"createdAt": "string (ISO 8601)",
"isPaid": false,
"visitType": "string",
"productId": "string (UUID)",
"medInfo": [
{
"id": "string (UUID)",
"externalId": null,
"medicine": "string",
"isRefill": false,
"dosage": "string",
"refillCount": 4,
"pharmacyInstructions": "string",
"dosingFrequency": "string",
"treatmentPeriod": "string",
"isPriorAuthRequested": false,
"orderNote": "string"
}
],
"addedBy": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string",
"title": "string or null",
"titleSuffix": "string or null",
"email": "string",
"phoneNumber": "string or null",
"npi": "string or null",
"dea": "string or null",
"address": "string or null",
"address2": "string or null",
"city": "string or null",
"state": "string or null",
"postalCode": "string or null",
"country": "string or null"
}
}
],
"caseProducts": [
{
"id": "string (UUID)",
"createdAt": "string (ISO 8601)",
"dueDate": "string (ISO 8601)",
"status": "string",
"organizationProduct": {
"id": "string (UUID)",
"name": "string"
},
"subscription": {
"interval": "string or null (day, week, month, year)",
"intervalCount": "number or null"
},
"caseProductRequests": [
{
"id": "string (UUID)",
"status": "string",
"formResponseId": "string (UUID)",
"visitType": "string",
"createdAt": "string (ISO 8601)",
"updatedAt": "string (ISO 8601)"
}
]
}
],
"comments": [
{
"id": "string (UUID)",
"text": "string",
"isRestricted": false,
"forms": [],
"createdAt": "string (ISO 8601)",
"author": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
},
"attachments": [
{
"id": "string (UUID)",
"isRestricted": false,
"isPHI": false,
"fileName": "string",
"isDeleted": false,
"createdAt": "string (ISO 8601)",
"uploadedBy": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
},
"url": "string (when documentFormat=url)",
"content": "string (when documentFormat=base64)"
}
]
}
],
"notes": [
{
"id": "string (UUID)",
"text": "string",
"isRestricted": true,
"forms": [],
"createdAt": "string (ISO 8601)",
"author": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
},
"attachments": [
{
"id": "string (UUID)",
"isRestricted": true,
"isPHI": false,
"fileName": "string",
"isDeleted": false,
"createdAt": "string (ISO 8601)",
"uploadedBy": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
},
"url": "string (when documentFormat=url)",
"content": "string (when documentFormat=base64)"
}
]
}
],
"payments": [
{
"id": "string (UUID)",
"isDeleted": false,
"description": "string",
"amount": "string",
"status": "string",
"dueDate": "string (ISO 8601)",
"paymentDate": null,
"cancellationDate": null,
"isScheduled": false,
"schedulePosition": null,
"isAutoCreated": false,
"createdAt": "string (ISO 8601)",
"updatedAt": "string (ISO 8601)",
"fees": {
"consultFee": "string",
"convenienceFee": "string",
"paymentProcessingFee": "string",
"pharmacyFee": "string",
"shippingFee": "string",
"syringeKitFee": "string",
"techPlatformFee": "string",
"subFees": [
{
"label": "string",
"amount": "string"
}
]
},
"createdBy": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string",
"email": "string"
}
}
],
"attachments": [
{
"id": "string (UUID)",
"isRestricted": false,
"isPHI": false,
"fileName": "string.png",
"isDeleted": false,
"createdAt": "string (ISO 8601)",
"uploadedBy": {
"firstName": "string",
"lastName": "string"
},
"url": "string (when documentFormat=url)",
"content": "string (when documentFormat=base64)"
}
],
"calendarEvents": [
{
"id": "string (UUID)",
"startDateTime": "string (ISO 8601)",
"endDateTime": "string (ISO 8601)",
"timezone": "string",
"meetingLink": "string",
"meetingProvider": "string",
"cancelURL": "string",
"rescheduleURL": "string",
"providerName": "string",
"providerEmail": "string"
}
],
"orders": [
{
"id": "string",
"externalId": "string (UUID)",
"pharmacyOrderId": "string",
"trackingId": "string or null",
"status": "string",
"message": "string or null",
"pharmacyName": "string",
"createdAt": "string (ISO date)",
"items": [
{
"id": "string",
"name": "string",
"quantity": "string"
}
],
"replacementReason": "string or null",
"shippingLogs": [
{
"statusUpdatedAt": "string (ISO date)",
"location": "string or null",
"message": "string or null",
"status": "string or null"
}
],
"estDeliveryAt": "string (ISO date) or null",
"trackingUrl": "string or null",
"carrierName": "string or null",
"createdBy": {
"id": "string (UUID)",
"organizationId": "ceacc0fa-107b-481c-b5cb-7f8cdc87643d",
"firstName": "string",
"lastName": "string",
"email": "string",
"secondaryEmail": "string or null",
"createdAt": "Date",
"role": "Role Enum",
"npi": null,
"dea": null,
"dob": null,
"phoneNumber": null,
"address": null,
"address2": null,
"city": null,
"postalCode": null,
"state": null,
"availableInStates": [],
"title": null,
"titleSuffix": null,
"fullName": "String",
"allergies": null,
"healthConditions": null,
"currentMedications": null,
"supervisingPhysicianId": null,
"supervisingPhysician": null
}
}
],
"escalations": [
{
"id": "string (UUID)",
"title": "string",
"type": "support | clinical | external",
"note": "string or null",
"followUpDueAt": "string (ISO 8601) or null",
"assignedToUserId": "string (UserId) or null",
"createdAt": "string (ISO 8601)",
"updatedAt": "string (ISO 8601)",
"isCompleted": false
}
],
"responses": [
{
"id": "string (UUID)",
"isDraft": false,
"form": {
"id": "string (UUID)",
"name": "string",
"description": "string"
},
"responses": [
{
"id": "string (UUID)",
"isArchived": false,
"text": "string",
"createdAt": "string (ISO 8601)",
"question": {
"index": 1,
"type": "TEXT",
"text": "string",
"isPHI": false,
"options": [],
"required": false
},
"respondent": {
"id": "string (UserId)",
"firstName": "string",
"lastName": "string"
}
}
]
}
]
}
}
▶400Missing ParametersReturned when neither caseId nor email is provided.
{
"status": 400,
"success": false,
"error": "caseId or email parameters must be provided!"
}
▶404Not FoundReturned when the case is not found.
{
"status": 404,
"success": false,
"error": "No Case found for provided details!"
}
▶413Payload Too LargeReturned when the combined size of attachments exceeds 30MB and `documentFormat=base64` is requested.
{
"status": 413,
"success": false,
"message": "Payload too large",
"error": "Document size exceeds 30MB limit. Please use documentFormat=url instead.",
"code": "PAYLOAD_TOO_LARGE_ERROR"
}
Try It Out
Try itAPI Playground
▶